Subject: bug#927: vc-bzr.el with cygwin bzr

From: Stefan Monnier <[email-masked]>
Date: Tue, 09 Sep 2008 10:22:57 -0400

> My hack is platform specific. A better solution would be, to modify
> vc-bzr-command to be either of the form "bzr-program-name" or '("python
> name" "bzr name"). vc-bzr-command would need to be modified to cope.
> There is couple of other places vc-bzr-command is used which would need
> changing also. 

A better solution would be to write a w32 wrapper for Bzr (an plain w32
executable that runs python with the bzr script), so that it does not
rely on cygwin's own handling of #!

After all, does Cygwin's bzr work with any other program that's not part
of Cygwin?  I'd guess not, which is why I think the problem is not
specific to Emacs.

        Stefan